### [0.5.2](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/compare/v0.5.1...v0.5.2) (2025-03-27)

- chore: alias notes node for lastComment ([b0b01ca](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/b0b01ca))

### [0.5.1](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/compare/v0.5.0...v0.5.1) (2025-03-25)

- chore(codegen): space out the output for lastComment better ([749f7ab](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/749f7ab))
- feat: add lastComment field ([2e9c050](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/2e9c050))
- docs: improve docs (README.md) ([e0e46d3](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/e0e46d3))

## [0.5.0](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/compare/v0.4.2...v0.5.0) (2025-03-17)

- feat(codegen): use work items API in the parser codegen ([07ad9a0](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/07ad9a0))

### [0.4.2](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/compare/v0.4.1...v0.4.2) (2025-03-12)

- feat(codegen): set includeSubgroups to true by default ([fcdb4b9](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/fcdb4b9))

### [0.4.1](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/compare/v0.4.0...v0.4.1) (2025-03-11)

- chore(deps): update rust crate indexmap to 2.8.0 ([02e0c87](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/02e0c87))
- fix(transformer): allow combining GitLab reference values ([7ee760a](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/7ee760a))

## [0.4.0](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/compare/v0.3.2...v0.4.0) (2025-02-19)

- feat: add support for includeSubgroups param ([a5b4d4b](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/a5b4d4b))
- feat: show errors for incorrect field pairings ([600600f](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/600600f))
- chore: add a basic query string serializer ([d4f1f1c](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/d4f1f1c))
- chore(deps): update rust crate indexmap to 2.7.1 ([cc4eac7](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/cc4eac7))
- chore(deps): update rust crate wasm-bindgen to 0.2.100 ([650ddc8](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/650ddc8))
- refactor(errors): refactor errors to be contextual ([da3e4f6](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/da3e4f6))

### [0.3.2](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/compare/v0.3.1...v0.3.2) (2025-01-08)

- feat: add support for in operator in type ([adafd91](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/adafd91))
- feat: add support for typed lists ([4ba7d56](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/4ba7d56))
- feat: support state field for issues ([fab8eef](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/fab8eef))
- refactor(analyzer): use const instead of lazy static ([9582168](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/9582168))

### [0.3.1](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/compare/v0.3.0...v0.3.1) (2025-01-06)

- refactor: add structs for raw and valid queries ([3c76918](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/3c76918))
- refactor: apply consistent styles across macros ([2462ce4](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/2462ce4))
- refactor: clean up function tests ([0854332](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/0854332))
- chore(deps): update rust crate regex to 1.11 ([97e9276](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/97e9276))
- feat: fields functions transformer ([77234e5](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/77234e5))
- feat: support querying by ID ([ad9e8bf](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/ad9e8bf))

## [0.3.0](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/compare/v0.2.0...v0.3.0) (2025-01-02)

- feat: add support for work item types ([d8ce3e7](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/d8ce3e7))
- refactor(types): simplify field types ([4465755](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/4465755))
- fix: make function names case insensitive ([575db0a](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/575db0a))
- chore: remove unnecessary dev dependencies ([70c69ed](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/70c69ed))

## [0.2.0](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/compare/v0.1.2...v0.2.0) (2024-12-31)

- feat: add a better analyzer ([dd3dd14](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/dd3dd14))
- feat: add support for MRs in GLQL ([0d83771](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/0d83771))
- feat: allow using reference for iteration ([fa54456](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/fa54456))
- feat: allow using reference with label ([2c75aa6](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/2c75aa6))
- feat: disallow milestone/iteration/cadence equals list ([cca0ef6](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/cca0ef6))
- feat: functionality to parse functions of fields ([9d2d058](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/9d2d058))
- feat: implement parser for fields ([46be5e3](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/46be5e3))
- feat: introduce a new ReferenceLike type ([7e9c9b8](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/7e9c9b8))
- feat: milestone references in GLQL ([417d81d](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/417d81d))
- feat(analyzer): do not support < operator for weight ([cfa082a](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/cfa082a))
- chore: add basic fuzzing support ([241d6e1](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/241d6e1))
- chore: move integration tests to just `tests` ([6e82e56](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/6e82e56))
- chore: refactor analyzer into multiple files ([6dfd0f8](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/6dfd0f8))
- chore: simplify boolean transform ([13a6d50](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/13a6d50))
- chore: use enum values directly ([c5536ef](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/c5536ef))
- chore(ci): add cache to speed up jobs ([ee1f968](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/ee1f968))
- chore(ci): add cargo audit ([76cb7a7](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/76cb7a7))
- chore(ci): freeze nightly version ([c3b3101](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/c3b3101))
- chore(ci): improve speed of coverage job ([f2c0666](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/f2c0666))
- chore(ci): include secret detection template ([7a43526](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/7a43526))
- chore(deps): update dependency danger-review to v1.4.2 ([a1d4fb3](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/a1d4fb3))
- chore(deps): update dependency danger-review to v2 ([49821b7](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/49821b7))
- chore(deps): update rust crate colored to 2.2 ([756cc5c](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/756cc5c))
- chore(deps): update rust crate indexmap to 2.7.0 ([11c1097](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/11c1097))
- chore(deps): update rust crate wasm-bindgen to 0.2.96 ([bb2f900](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/bb2f900))
- chore(deps): update rust crate wasm-bindgen to 0.2.97 ([b6b9c39](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/b6b9c39))
- chore(deps): update rust crate wasm-bindgen to 0.2.99 ([c81b3a2](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/c81b3a2))
- chore(expression): move iteration handling to codegen ([a665584](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/a665584))
- chore(functions): use String instead of dyn Error ([ac25e40](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/ac25e40))
- chore(renovate): add rust to ignoreDeps ([83e7e30](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/83e7e30))
- chore(special): use enum values directly ([3555746](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/3555746))
- chore(types): add a reference type enum ([345839c](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/345839c))
- fix(analyzer): remove invalid fields ([568dbf6](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/568dbf6))
- fix(functions): catch usages of unwrap() ([057a939](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/057a939))
- fix(literals): throw error for unterminated quotes ([7243153](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/7243153))
- refactor: importing enum values by default ([8ae7854](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/8ae7854))
- refactor: refactor parse_reference ([348e455](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/348e455))
- refactor: remove examples ([cc1759f](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/cc1759f))
- refactor: remove glql prefixes ([40937e7](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/40937e7))
- refactor: rename attribute to field ([bf0bdb3](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/bf0bdb3))
- refactor: reorganize modules ([721356c](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/721356c))
- refactor(analyzer): simplify is_valid_field function ([93e15af](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/93e15af))
- refactor(analyzer): use enum values directly ([1a99d04](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/1a99d04))
- refactor(context): add a default to simplify code ([1fe82fe](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/1fe82fe))
- refactor(context): simplify extract_group_and_project ([4acdf50](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/4acdf50))
- refactor(context): use enum values directly ([5b3107e](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/5b3107e))
- refactor(expression): add new impl fn ([841a06e](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/841a06e))
- refactor(expression): import all operators and values directly ([077c03d](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/077c03d))
- refactor(expression): remove function is_boolean ([34d94a2](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/34d94a2))
- refactor(expression): rename concat_v ([2eb9c9a](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/2eb9c9a))
- refactor(expression): use enum values directly ([16f78b5](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/16f78b5))
- refactor(function): use enum values directly ([c710e20](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/c710e20))
- refactor(functions): do not pass ctx to inner functions ([158439b](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/158439b))
- refactor(functions): import enum values directly ([fb730a6](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/fb730a6))
- refactor(graphql_components): use enum values directly ([6150a4f](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/6150a4f))
- refactor(parser): rename parse to parse_query ([786c7b5](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/786c7b5))
- refactor(parser): use enum values directly ([57a09ec](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/57a09ec))
- refactor(rename): rename BareWord to Token ([b79bf89](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/b79bf89))
- refactor(transformer): refactor transform_expression to be shorter ([d5c1e45](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/d5c1e45))
- refactor(type): rename Array to List ([3fd92fd](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/3fd92fd))
- refactor(types): convert field into an enum ([925638c](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/925638c))
- refactor(types): remove Sign enum ([230a0f7](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/230a0f7))
- refactor(types): rename props of context struct ([5dbaa97](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/5dbaa97))
- refactor(types): rename String to Quoted ([1ffaf78](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/1ffaf78))
- refactor(types): simplify From<Field> impl for String ([c25e237](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/c25e237))
- refactor(types): use enum values directly ([e458b87](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/e458b87))
- test: integration tests for label and iteration reference ([52724cf](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/52724cf))
- test: remove unnecessary statement_tests ([5e04f82](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/5e04f82))
- test(context): use Context::default() ([73cb923](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/73cb923))
- test(milestone): add reference tests ([1d560e6](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/1d560e6))
- test(types): simplify abritrary traits ([338b221](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/338b221))
- docs: add changelog ([a0969a8](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/a0969a8))
- docs: add coverage and release badges ([3353e96](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/3353e96))

### [0.1.2](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/compare/v0.1.1...v0.1.2) (2024-11-27)

- fix(apply_functions): fix issue with negative relative dates ([07e78c7](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/07e78c7 "fix(apply_functions): fix issue with negative relative dates"))
- fix(semantic_analysis): add support for due date ([a941a8c](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/a941a8c "fix(semantic_analysis): add support for due date"))

### [0.1.1](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/compare/v0.1.0...v0.1.1) (2024-11-26)

- fix(context): override default group or project ([db6702f](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/db6702f "fix(context): override default group or project"))

## [0.1.0](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/-/tags/v0.1.0) (2024-11-26)

- docs: change lefthook command docs ([d4f96f9](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/d4f96f9 "docs: change lefthook command docs"))
- chore: add default issue template with labels ([4284b6c](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/4284b6c "chore: add default issue template with labels"))
- chore: add default merge request template ([c7792a3](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/c7792a3 "chore: add default merge request template"))
- chore: add docs, examples and coverage report to pages job ([dc2037e](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/dc2037e "chore: add docs, examples and coverage report to pages job"))
- chore: prevent rust version updates from renovate ([fbf855b](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/fbf855b "chore: prevent rust version updates from renovate"))
- chore: run pages related jobs on `main` only ([481257b](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/481257b "chore: run pages related jobs on `main` only"))
- chore: update package name ([bd98579](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/bd98579 "chore: update package name"))
- chore(ci): add an npm publish job ([2c14459](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/2c14459 "chore(ci): add an npm publish job"))
- chore(ci): fix publish job ([e33fec1](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/e33fec1 "chore(ci): fix publish job"))
- chore(deps): update rust crate colored to 2.1 ([336829a](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/336829a "chore(deps): update rust crate colored to 2.1"))
- chore(deps): update rust crate lazy_static to 1.5.0 ([c386685](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/c386685 "chore(deps): update rust crate lazy_static to 1.5.0"))
- chore(deps): update rust crate nom to 7.1.3 ([a2df778](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/a2df778 "chore(deps): update rust crate nom to 7.1.3"))
- chore(deps): update rust crate urlencoding to 2.1.3 ([8458007](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/8458007 "chore(deps): update rust crate urlencoding to 2.1.3"))
- ci: add rust toolchain ([800565d](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/800565d "ci: add rust toolchain"))
- Add a graphql_components codegen module ([a21f803](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/a21f803 "Add a graphql_components codegen module"))
- Add commitlint ([2462e89](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/2462e89 "Add commitlint"))
- Add dangerbot ([e8b4441](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/e8b4441 "Add dangerbot"))
- Add LICENSE ([d8cd154](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/d8cd154 "Add LICENSE"))
- Add Makefile ([a1593aa](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/a1593aa "Add Makefile"))
- Add npm tests and pages job ([14bff55](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/14bff55 "Add npm tests and pages job"))
- add README ([d7106ef](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/d7106ef "add README"))
- Add readme for the `npm` library ([91c475a](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/91c475a "Add readme for the `npm` library"))
- Add tooling ([dbd572e](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/dbd572e "Add tooling"))
- Add transform logic to group similar fields together ([8ca05cc](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/8ca05cc "Add transform logic to group similar fields together"))
- Adding glql-tester to test queries ([a18cb3f](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/a18cb3f "Adding glql-tester to test queries"))
- Allow parser to handle errors properly ([7020477](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/7020477 "Allow parser to handle errors properly"))
- Comment out failing integration tests and merge unit-test and integration-test jobs ([c1bdd31](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/c1bdd31 "Comment out failing integration tests and merge unit-test and integration-test jobs"))
- Create a basic GraphQL code generator ([7659550](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/7659550 "Create a basic GraphQL code generator"))
- Create a context module ([845a527](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/845a527 "Create a context module"))
- Create a new apply_functions module ([f632770](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/f632770 "Create a new apply_functions module"))
- Fix linting errors ([d165d4b](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/d165d4b "Fix linting errors"))
- Fix more parser errors ([7d994b9](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/7d994b9 "Fix more parser errors"))
- Fix semantic_analysis function ([6b4be9c](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/6b4be9c "Fix semantic_analysis function"))
- Fixes in the parser ([b328512](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/b328512 "Fixes in the parser"))
- Initial version of the parser ([e2a2f48](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/e2a2f48 "Initial version of the parser"))
- Match analyzer and generator closely to Haskell version ([2195f76](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/2195f76 "Match analyzer and generator closely to Haskell version"))
- Move tests to a separate file ([029b4b0](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/029b4b0 "Move tests to a separate file"))
- Port integration tests from Haskell ([54fe068](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/54fe068 "Port integration tests from Haskell"))
- Port static analyzer from Haskell ([2cc6737](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/2cc6737 "Port static analyzer from Haskell"))
- Prepare build for WASM ([827a17f](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/827a17f "Prepare build for WASM"))
- Reduce visibility of internals and move specs ([71773ed](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/71773ed "Reduce visibility of internals and move specs"))
- Update README.md ([954f710](https://gitlab.com/gitlab-org/gitlab-query-language/glql-rust/commit/954f710 "Update README.md"))
